<?php require_once('connections/reg_conn.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}
?>
<?php
// *** Validate request to login to this site.
if (!isset($_SESSION)) {
  session_start();
}

$loginFormAction = $_SERVER['PHP_SELF'];
if (isset($_GET['accesscheck'])) {
  $_SESSION['PrevUrl'] = $_GET['accesscheck'];
}

if (isset($_POST['username'])) {
  $loginUsername=$_POST['username'];
  $password=$_POST['password'];
  $MM_fldUserAuthorization = "level";
  $MM_redirectLoginSuccess = "admin.php";
  $MM_redirectLoginFailed = "login.php";
  $MM_redirecttoReferrer = true;
  mysql_select_db($database_reg_conn, $reg_conn);
  	
  $LoginRS__query=sprintf("SELECT username, password, level FROM `registration` WHERE username=%s AND password=%s",
  GetSQLValueString($loginUsername, "text"), GetSQLValueString($password, "text")); 
   
  $LoginRS = mysql_query($LoginRS__query, $reg_conn) or die(mysql_error());
  $loginFoundUser = mysql_num_rows($LoginRS);
  if ($loginFoundUser) {
    
    $loginStrGroup  = mysql_result($LoginRS,0,'level');
    
	if (PHP_VERSION >= 5.1) {session_regenerate_id(true);} else {session_regenerate_id();}
    //declare two session variables and assign them
    $_SESSION['MM_Username'] = $loginUsername;
    $_SESSION['MM_UserGroup'] = $loginStrGroup;	      

    if (isset($_SESSION['PrevUrl']) && true) {
      $MM_redirectLoginSuccess = $_SESSION['PrevUrl'];	
    }
    header("Location: " . $MM_redirectLoginSuccess );
  }
  else {
    header("Location: ". $MM_redirectLoginFailed );
  }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Halaman Admin</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div class="container">
  <div class="header"></div>
  <div class="content">
    <h1>Success.</h1>
    <p>Your Registration's now complete.</p>
    <p><strong>Important!</strong></p>
    <ul>
      <li>Please  submit your Abstract to the <strong>Secretariat of International Conference  Committee e-mail : conference@pksplipb.or.id </strong>, not more than <strong>June 11<sup>th</sup> ,  2021</strong>. </li>
      <li>The <strong>accepted letter of the conference</strong> will be announced through secretariat email at least 5 days after the abstract  submitted date.</li>
      <li>The <strong>registration fee can be paid after the  accepted letter released</strong> (maximum 7 days after the accepted letter  released), using bank transfer to account number : </li>
      <p>IDR  Account &nbsp; &nbsp;: 0121109976 <br />
        Beneficiary  &nbsp;&nbsp;&nbsp;&nbsp; : Rektor IPB C/Q PKSPL<br />
        City&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : Bogor<br />
        Country&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : Indonesia<br />
        Swift  Code&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : BNINIDJABGR<br />
        Bank&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :  BNI Capem IPB Dramaga Bogor<br/>
      Bank address&nbsp; :  Kampus IPB Darmaga Bogor 16680</p>
      <li>Please&nbsp;email&nbsp;the&nbsp;transfer  receipt to :&nbsp;conference@pksplipb.or.id and quoting your <strong>6-digit  registration code</strong> that already sent to your email along with activation  link in the email subject. </li>
    </ul></div><p>&nbsp;</p>
    <div class="nelayan"></div>
  <div class="footer"><a href="http://pksplipb.or.id/int/icmmbt/"><br />
    | Home</a> | <a href="http://pkspl.ipb.ac.id">About</a> | <a href="mailto:icmmbt@pksplipb.or.id">Contact Us</a> | <a href="admin/">Admin</a> | </div>
</div>
</body>
</html>